## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 44;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.3
%bcond_without check

# Upstream dependencies change often and specific versions are needed that aren't
# always available in Fedora.
%bcond vendor 1

%global services        google-guest-agent.service google-startup-scripts.service google-shutdown-scripts.service

# https://github.com/GoogleCloudPlatform/guest-agent
%global goipath         github.com/GoogleCloudPlatform/guest-agent
Version:                20240813.00
%global tag             %{version}

%gometa -f

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

Name:           google-guest-agent
Release:        %{autorelease} 
Summary:        Google Compute Engine guest environment

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

# Bundled dependencies made with mkvendor.sh
Source1:        guest-agent-%{version}-vendor.tar.gz

# https://git.sr.ht/~gotmax23/fedora-scripts/tree/main/item/retired/go_vendor_licenses.py
Source2:        LICENSES.dependencies

# Google Cloud only offers Arm and x86 instances.
ExcludeArch:    ppc64le s390x

BuildRequires: systemd-rpm-macros

Requires: systemd

%description
This package contains scripts, configuration, and init files
for features specific to the Google Compute Engine cloud environment.

%gopkg

%prep
%autosetup -p1 %{forgesetupargs} %{?with_vendor:-b1}
%goprep -e %{?with_vendor:-k}
cp %{SOURCE2} .

# Skip wsfc_test.go: It's specific for Windows, and it assumes that network is available,
# so it fails in a network-jailed build environment.
rm google_guest_agent/wsfc_test.go


%generate_buildrequires
%if %{without vendor}
%go_generate_buildrequires
%endif


%build
for cmd in google_guest_agent google_metadata_script_runner; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vd                     %{buildroot}%{_sysconfdir}/default
install -m 0755 -vd                     %{buildroot}%{_unitdir}

install -m 0755 -vp %{gobuilddir}/bin/*             %{buildroot}%{_bindir}
install -m 0644 -vp instance_configs.cfg            %{buildroot}%{_sysconfdir}/default
install -m 0644 -vp google-guest-agent.service      %{buildroot}%{_unitdir}
install -m 0644 -vp google-startup-scripts.service  %{buildroot}%{_unitdir}
install -m 0644 -vp google-shutdown-scripts.service %{buildroot}%{_unitdir}

%if %{with check}
%check
# Skip tests that depend on networking or time out.
%gocheck -d google_guest_agent/network/manager -d google_guest_agent/events
%endif

%files
%license LICENSE %{?with_vendor:vendor/modules.txt LICENSES.dependencies}
%doc CONTRIBUTING.md README.md
%config(noreplace) %{_sysconfdir}/default/instance_configs.cfg
%{_bindir}/google_guest_agent
%{_bindir}/google_metadata_script_runner
%{_unitdir}/google-guest-agent.service
%{_unitdir}/google-startup-scripts.service
%{_unitdir}/google-shutdown-scripts.service

%post
%systemd_post %{services}

%preun
%systemd_preun %{services}

%postun
%systemd_postun_with_restart %{services}


%changelog
* Wed Aug 14 2024 Major Hayden <major@redhat.com> None-44
- Update to 20240813.00 rhbz#2304843

* Tue Aug 13 2024 Major Hayden <major@redhat.com> None-43
- Update to 20240808.01 rhbz#2303292

* Mon Aug 05 2024 Major Hayden <major@redhat.com> None-42
- Update to 20240802.00 rhbz#2302580

* Tue Jul 23 2024 Major Hayden <major@redhat.com> None-41
- Update to 20240716.00 rhbz#2298383

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> None-40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 08 2024 Major Hayden <major@redhat.com> None-39
- Update to 20240701.00 rhbz#2295501

* Tue Jun 25 2024 Major Hayden <major@redhat.com> None-38
- Update to 20240611.01 rhbz#2291409

* Thu May 30 2024 Major Hayden <major@redhat.com> None-37
- Update to 20240528.00 rhbz#2283885

* Wed Apr 10 2024 Major Hayden <major@redhat.com> None-36
- Skip events test

* Wed Apr 10 2024 Major Hayden <major@redhat.com> None-35
- Fix typo in License filename

* Wed Apr 10 2024 Major Hayden <major@redhat.com> None-34
- Sync packit config with other GCP pkgs

* Wed Apr 10 2024 Major Hayden <major@redhat.com> None-33
- Update to 20240314.00 rhbz#2274184

* Wed Apr 10 2024 Fedora Release Engineering <releng@fedoraproject.org> None-32
- Unretirement Releng Request: https://pagure.io/releng/issue/12057
